<?php

namespace TDevAgency\Cms\Observers;

use Illuminate\Support\Facades\Cache;
use TDevAgency\Cms\Models\BaseModels\AdminUser;

class AdminUserObserver
{
    /**
     * @param AdminUser $user
     */
    public function saved(AdminUser $user)
    {
        Cache::put("admin_user.{$user->id}", $user, 360);
    }

    /**
     * @param AdminUser $user
     */
    public function deleted(AdminUser $user)
    {
        Cache::forget("admin_user.{$user->id}");
    }

    /**
     * @param AdminUser $user
     */
    public function restored(AdminUser $user)
    {
        Cache::put("admin_user.{$user->id}", $user, 360);
    }

    /**
     * @param AdminUser $user
     */
    public function retrieved(AdminUser $user)
    {
        Cache::add("admin_user.{$user->id}", $user, 360);
    }
}
